#ifndef DOUBLELINKLIST_H_
#define DOUBLELINKLIST_H_

//
// Include the C standard library header file here
//

#include <stdio.h>

//
// Other header files are included here
//

//
// Define the data structure here
//

typedef int ElemType;	// The type of an element in a linked list

typedef struct DuLNode 
{
	ElemType data;			// Data fields
	struct DuLNode* prior;	// Precursor pointer
	struct DuLNode* next;	// Subsequent pointer
}DuLinkList;


//
// Declare the function here
//

int InsertBefore(DuLinkList* pListHead, int i, ElemType Elem);

#endif /* DOUBLELINKLIST_H_ */
